%define major		1
%define libname		%mklibname %{name} %{major}

%define atomicmajor	0
%define libatomic	%mklibname atomicparsley %{atomicmajor}

Name:		gtkpod
Summary:	GTK interface to iPod
Version:	2.1.5
Release:	%mkrel 1
Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.xz
Patch1:		gtkpod-2.1.2-link.patch
Patch2:		gtkpod-2.1.0-pref.patch
Patch6:		gtkpod-2.1.2-new-automake.patch
URL:		http://gtkpod.sourceforge.net/
License:	GPLv2+
Group:		Communications
#--------------------------------------------
BuildRequires: flex
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: desktop-file-utils
BuildRequires: faad2
BuildRequires: %{_lib}anjuta3-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gdl-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gpod-devel
BuildRequires: %{_lib}gstreamer-plugins-base0.10-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}id3tag-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: %{_lib}mono-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}xml2-devel
#--------------------------------------------
Requires:	faad2
Requires:	gstreamer0.10-flac
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-base
Requires:	anjuta

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.

%prep
%setup -q -n %name-%{version}
%patch1 -p0 -b .link
%patch2 -p1 -b .pref
%patch6 -p1

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{name}

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--add-mime-type="x-content/audio-player" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# don't ship
find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}/%{_includedir}/gtkpod/
rm -f %{buildroot}/%{_libdir}/libgtkpod.so
rm -f %{buildroot}/%{_libdir}/libatomicparsley.so
rm -f %{buildroot}/%{_libdir}/pkgconfig/*.pc

%files -f %{name}.lang
%doc README AUTHORS NEWS
%{_datadir}/glib-2.0/schemas/*.xml
%{_bindir}/%{name}
%{_libdir}/%{name}/*.plugin
%{_libdir}/%{name}/*.so
%{_datadir}/%{name}
%{_datadir}/applications/gtkpod.desktop
%{_datadir}/icons/hicolor/*/apps/gtkpod.*
%{_mandir}/man1/gtkpod.1*
%{_libdir}/libgtkpod.so.%{major}*
%{_libdir}/libatomicparsley.so.%{atomicmajor}
%{_libdir}/libatomicparsley.so.%{atomicmajor}.*

%clean
rm -rf %buildroot


%changelog
* Sat Jun 13 2015 pp <pp> 2.1.5-1pclos2015
- 2.1.5

* Tue May 26 2014 bb <bb> 2.1.4-1pclos2014
- udpate
